Tables
Table list

Table list

GET /AreasWithTables

Returns the list of areas and tables of the restaurant in Adisyo.

This endpoint is typically used by integrations (for example Saharobotics) to populate the table selection screen.
The returned table id values should be sent as TableId when creating an order via the SaveOrder API.

Example Request

Table list
curl -X GET "https://ext.adisyo.com/api/External/v2/AreasWithTables" \
  --header "x-api-key: ..." \
  --header "x-api-secret: ..." \
  --header "x-api-consumer: ..."

Request Parameters

This method does not require any additional parameters.

Example Response

Table list
{
  "data": [
    {
      "id": 1,
      "name": "Garden",
      "tables": [
        {
          "id": 101,
          "name": "Table 1"
        },
        {
          "id": 102,
          "name": "Table 2"
        }
      ]
    },
    {
      "id": 2,
      "name": "Indoor",
      "tables": [
        {
          "id": 201,
          "name": "Table 3"
        }
      ]
    }
  ],
  "status": 100,
  "message": "Operation Successful."
}

Response Parameters

Parameter NameData TypeDescription
dataArrayList of areas and their tables
data.idNumberArea ID
data.nameStringArea name
data.tablesArrayList of tables in the area
data.tables.idNumberTable ID (should be used as TableId when calling the SaveOrder API)
data.tables.nameStringTable name
statusNumberResponse Codes
messageStringOperation result message